Bug 833662 - OSError: [Errno 17] File exists in fetch_images when IMAGE_CACHE=True
OSError: [Errno 17] File exists in fetch_images when IMAGE_CACHE=True
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.0
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 01:11 EDT by Dan Callaghan
Modified: 2012-06-26 02:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:41:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-06-20 01:11:06 EDT
If for some reason the kernel or initrd images already exist on disk when we do a configure_netboot, this will happen:

2012-06-20 14:17:27 [ERROR   ] Error processing command 3917137
Traceback (most recent call last):
  File "src/bkr/labcontroller/provision.py", line 80, in handle
    handle_configure_netboot(command)
  File "src/bkr/labcontroller/provision.py", line 127, in handle_configure_netboot
    command['netboot']['initrd_url'], command['fqdn'])
  File "/home/dcallagh/work/beaker/LabController/proxy/src/bkr/labcontroller/netboot.py", line 153, in fetch_images
    os.path.join(images_dir, 'kernel'))
OSError: [Errno 17] File exists

Only occurs in the code path with IMAGE_CACHE=True.
Comment 1 Dan Callaghan 2012-06-20 01:28:24 EDT
On Gerrit: http://gerrit.beaker-project.org/1152
Comment 2 Dan Callaghan 2012-06-21 18:29:02 EDT
This bug has been addressed in Beaker 0.9.0-3 which is currently running on stage:

https://beaker-stage.engineering.redhat.com/
Comment 3 Dan Callaghan 2012-06-26 02:41:15 EDT
Beaker 0.9.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.